Debian Bug report logs - #636408
ITA: emacspeak -- speech output interface to Emacs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ricardo Mones <mones@debian.org>

Date: Tue, 2 Aug 2011 22:48:15 UTC

Owned by: debian-accessibility@lists.debian.org

Severity: normal

Fixed in version emacspeak/38.0+dfsg-1

Done: Paul Gevers <elbrus@debian.org>

Bug is archived. No further changes may be made.

Outlook: http://anonscm.debian.org/gitweb/?p=pkg-a11y/emacspeak.git

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jrv@debian.org, wnpp@debian.org:
Bug#636408; Package wnpp. (Tue, 02 Aug 2011 22:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to jrv@debian.org, wnpp@debian.org. (Tue, 02 Aug 2011 22:48:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: emacspeak -- speech output interface to Emacs
Date: Wed, 3 Aug 2011 00:46:36 +0200
Package: wnpp
Severity: normal

The current maintainer of emacspeak, James R. Van Zandt <jrv@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: emacspeak
Binary: emacspeak
Version: 29.0-6
Maintainer: James R. Van Zandt <jrv@debian.org>
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep: texi2html, lynx, texinfo, ghostscript
Architecture: all
Standards-Version: 3.8.4
Format: 1.0
Files:
 1dad0feca1e8de9ec2c1ec2934cf837f 1179 emacspeak_29.0-6.dsc
 3e97b2cfbac917ce6f7c99727b9b0264 2015467 emacspeak_29.0.orig.tar.gz
 f7a4cefef67f0d16f570715965f573ba 463089 emacspeak_29.0-6.diff.gz
Checksums-Sha1:
 bc6527b0a9a06fd0b3cec773a18295b2f27e63df 1179 emacspeak_29.0-6.dsc
 4cd448ae8f545ca8a631d94f727881ecb13fc3a5 2015467 emacspeak_29.0.orig.tar.gz
 cf914f8b4e5653bf5cbae81162a516ecbf580217 463089 emacspeak_29.0-6.diff.gz
Checksums-Sha256:
 963c01211f999bb324e8ff900ef3fbcb7c1df3af88371d28899d39ea1807f39e 1179 emacspeak_29.0-6.dsc
 03af6fc33e016c479c0f8878880cbc8032d7d0e3d779922712b8a2cfc3f381d3 2015467 emacspeak_29.0.orig.tar.gz
 362db3626f18be3f63217d8bc5b472f9d81fe908027d934fffaad5353dfc39d3 463089 emacspeak_29.0-6.diff.gz
Homepage: http://emacspeak.sf.net
Directory: pool/main/e/emacspeak
Priority: source
Section: editors

Package: emacspeak
Version: 29.0-6
Installed-Size: 11644
Maintainer: James R. Van Zandt <jrv@debian.org>
Architecture: all
Depends: tclx8.4, tcl8.4, perl, emacsen-common, make, emacs23 | emacs22, adduser, debconf, debconf (>= 0.5) | debconf-2.0, dpkg (>= 1.15.4) | install-info
Suggests: emacspeak-ss, psgml, xsltproc, eflite, espeak, w3m-el
Conflicts: emacspeak-dt (<= 0.30), emacspeak-ss (<< 1.12-2)
Description: speech output interface to Emacs
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on
 top of Emacs.  Once Emacs is started with Emacspeak loaded, users get
 spoken feedback for all actions.  As Emacs can do everything,
 they get speech feedback for everything they do.
 .
 This package includes speech servers
 written in Tcl to support the DECtalk Express and DECtalk MultiVoice
 speech synthesizers.  For other synthesizers, look for separate
 speech server packages such as emacspeak-ss and eflite.
Homepage: http://emacspeak.sf.net
Tag: accessibility::screen-reader, accessibility::speech, implemented-in::{lisp,perl,tcl}, interface::commandline, role::plugin, suite::emacs, use::editing, works-with::audio
Section: editors
Priority: extra
Filename: pool/main/e/emacspeak/emacspeak_29.0-6_all.deb
Size: 3050402
MD5sum: 852007949762c90b6e618ab4b8cb6b0f
SHA1: c9c15ddc4e39c6d8bea5f3f4b10e46f8a0155edc
SHA256: 7b641eb80bf0870d5e02f61cbff4a4f9a5b073c8f19f2697f24ed29c4e296a77





Changed Bug title to 'ITA: emacspeak -- speech output interface to Emacs' from 'O: emacspeak -- speech output interface to Emacs' Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 19:03:07 GMT) Full text and rfc822 format available.

Owner recorded as debian-accessibility@lists.debian.org. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Thu, 28 Mar 2013 19:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, debian-accessibility@lists.debian.org:
Bug#636408; Package wnpp. (Thu, 04 Jul 2013 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, debian-accessibility@lists.debian.org. (Thu, 04 Jul 2013 19:00:04 GMT) Full text and rfc822 format available.

Message #14 received at 636408@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Debian Accessibility Project <debian-accessibility@lists.debian.org>
Cc: 636408@bugs.debian.org
Subject: Re: anybody here using emacspeak in Debian
Date: Thu, 04 Jul 2013 20:57:58 +0200
[Message part 1 (text/plain, inline)]
Hi all,

I am working the last couple of days to get emacspeak to work and
improve the packaging (which was long overdue in my opinion). I am
nearly there, but I have several questions and there are several issues.

1)
I am unable to get audio if I use eflite as synthesize server for both
current packaged version as my new packaging. Does it work for you? If
so, what did you do to get it working? As I now build the eSpeak server
included in the package, this is less of an issue for software
solutions, but other servers really have to work in my opinion.

2)
The servers directory contains a python wrapper (@Jason, I see you
contributed there). Is anybody using that? (The documentation is not in
a proper Debian format as we can not generate it with Debian packages
(happydoc)), I'll try to replace that with something I can create at
build time. I also believe the python wrapper should be moved to a
proper python location.

3)
Some license statements in the package are unclear. I'll have to contact
upstream to clarify.

Kind regards,
Paul


[signature.asc (application/pgp-signature, attachment)]

Outlook recorded from message bug 636408 message Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Sun, 14 Jul 2013 19:42:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 31 Jul 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Tue, 06 Aug 2013 23:03:28 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Tue, 06 Aug 2013 23:03:28 GMT) Full text and rfc822 format available.

Message #23 received at 636408-close@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 636408-close@bugs.debian.org
Subject: Bug#636408: fixed in emacspeak 38.0+dfsg-1
Date: Tue, 06 Aug 2013 23:00:10 +0000
Source: emacspeak
Source-Version: 38.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
emacspeak, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636408@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Gevers <elbrus@debian.org> (supplier of updated emacspeak package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Jul 2013 21:22:38 +0200
Source: emacspeak
Binary: emacspeak emacspeak-espeak-server
Architecture: source all amd64
Version: 38.0+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Changed-By: Paul Gevers <elbrus@debian.org>
Description: 
 emacspeak  - speech output interface to Emacs
 emacspeak-espeak-server - espeak syntesis server for emacspeak
Closes: 543920 619266 636408 693340 707487
Changes: 
 emacspeak (38.0+dfsg-1) unstable; urgency=low
 .
   * Imported Upstream version 38.0 (Closes: #707487)
   * Repack source due to the non-free license of the documentation
    - Add get-orig-source script and target to d/rules
    - Update watch file (thanks Bart Martens)
   * Change maintainership to a11y team (Closes: #636408)
     - Add Vcs-* fields to d/control
   * Clean up old patch by splitting into separate remaining patches
   * Replace d/rules calls with debhelper files and rewrite d/rules to dh
   * Remove unused files
   * Update (build) dependencies (Closes: #619266)
   * Translations: add Japanese ; thanks victory (Closes: #693340)
   * Fix install script to recompile .el files upon upgrade
   * d/config:
     - add espeak as option
     - don't ask again if port = none
   * Update emacsen-install to recompile newer version upon upgrade
   * Include building of espeak server
   * Link documentation from the doc directory
   * Add Lintian overrides for the relevant items
   * Update default speech server to build in espeak
   * Build espeak server and create emacspeak-espeak-server package
     (Closes: #543920)
   * Convert to short dh()
   * Update of copyright
   * Changed priority to optional
   * Remove conflicts, they are long gone and were never part of a stable
     release
   * Updated standards to 3.9.4 (no further changes needed)
Checksums-Sha1: 
 9e043c5a687ac06aed543f72be6a455f5e9494af 1743 emacspeak_38.0+dfsg-1.dsc
 d20c00717781a5248d03fc0b943992377425d0ec 4944100 emacspeak_38.0+dfsg.orig.tar.bz2
 a548bbc8123f906abe231ff081d9bd49b99598a9 49811 emacspeak_38.0+dfsg-1.debian.tar.gz
 ce970165702b2c6b085b9f9c39c11fd5735231bc 3930190 emacspeak_38.0+dfsg-1_all.deb
 2087b37727f9edc81a570cdaf4be7bc568361564 19172 emacspeak-espeak-server_38.0+dfsg-1_amd64.deb
Checksums-Sha256: 
 b67c1af85dea3dc10c1e08031cd331dd53fc6729e07556e809fbcfb01be93d4c 1743 emacspeak_38.0+dfsg-1.dsc
 1e92cfd8fe00972d66dc0b3fae84b3020c22ded1a69e4574bdf5483819ca1427 4944100 emacspeak_38.0+dfsg.orig.tar.bz2
 fa652cee42fb5f23eb77bf293c52580dbb3526451433cd8e9168e00d8249ec0d 49811 emacspeak_38.0+dfsg-1.debian.tar.gz
 ae41d0caba82fc3e3af056597a63cfd609fc0889bcba0034eebd5574df092b3a 3930190 emacspeak_38.0+dfsg-1_all.deb
 536ca84ceb4707ac6d12f75da80fc6bd9cfd7928f58badbe41e7438a2b779e89 19172 emacspeak-espeak-server_38.0+dfsg-1_amd64.deb
Files: 
 a49d0adebd103eefa4c0e4fa49bad899 1743 editors optional emacspeak_38.0+dfsg-1.dsc
 0b6db2c02ba424ed5ed1fc1cefcfd789 4944100 editors optional emacspeak_38.0+dfsg.orig.tar.bz2
 33845934e357126f3820aa843e05cbe7 49811 editors optional emacspeak_38.0+dfsg-1.debian.tar.gz
 72373ad0d0748b1633e1876a449ea621 3930190 editors optional emacspeak_38.0+dfsg-1_all.deb
 c5cbe75fc17d5956579a1107a4835722 19172 editors optional emacspeak-espeak-server_38.0+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJR+WW8AAoJEJxcmesFvXUK0JwH/0sRxg16KvbgDfqwT3UJ+W2t
LnkkOxwpIWa/b0FQ/C+kYtlQo0+s8pu/qdG6/fu5920YEP51Cmi3ENjbbrwMzmbu
O1N1zHNl6lPv37Us3v1e4CNVRnIWf53BLZ7M2E/qjxycWiFtfvYnJ2LewVkQWMLO
VLio4PFV4R0oBJNfM8wkHUNIze6sa2J7z/DCH6caBTaSryVmdQDhD1l5oDRI25Ld
yQIoiY9xHdDDUf3Wq4uX/pIvSGE9RS4Mo+iifF9aXpv/3mp5MwJfHe4epdc0z45w
xToDrTZRQGIzq8pS5/7o+PI35nciuXotS7vPJgsk3Rb45YtwKx9eypnLuP7S5BQ=
=wwLi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Sep 2013 07:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:38:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.